## connie-0.4.3rc9.tar.gz

=== Makefile ===
# for debian packager
BIN=$(DESTDIR)/usr/bin
MAN=$(DESTDIR)/usr/share/man/man1

# uncomment for experimental jack-session support
# JACK_SESSION=-DJACK_SESSION 

CFLAGS=$(JACK_SESSION) -D_GNU_SOURCE -Wall -std=c99 -O3 -fomit-frame-pointer -pipe
CXXFLAGS=$(JACK_SESSION) -D_GNU_SOURCE -Wall -O3 -fomit-frame-pointer -pipe
CXXFLAGS_I386=-DCONNIE_I386 $(CXXFLAGS)
CXXFLAGS_SSE=-DCONNIE_SSE $(CXXFLAGS) -march=pentium3 -msse -mfpmath=sse -ffast-math 

TARGETS=connie_i386 connie_sse


all: $(TARGETS) 

deb: all
	fakeroot debian/rules binary

qt4/connie_qt4:
	cd qt4 && make

connie_sse: connie_main_sse.o connie_ui_sse.o reverb_sse.o
	gcc $(LDFLAGS) -o $@ $^ -ljack -lconfuse

connie_main_sse.o: connie_main.cpp connie.h connie_ui.h reverb.h scales.h
	gcc -c $(CXXFLAGS_SSE) -o $@ $<

connie_ui_sse.o: connie_ui.cpp connie.h connie_ui.h
	gcc -c $(CXXFLAGS_SSE) -o $@ $<

reverb_sse.o: reverb.cpp reverb.h
	gcc -c $(CXXFLAGS_SSE) -o $@ $<



connie_i386: connie_main_i386.o connie_ui_i386.o reverb_i386.o
	gcc $(LDFLAGS) -o $@ $^ -ljack -lconfuse

connie_main_i386.o: connie_main.cpp connie.h connie_ui.h reverb.h scales.h
	gcc -c $(CXXFLAGS_I386) -o $@ $<

connie_ui_i386.o: connie_ui.cpp connie.h connie_ui.h
	gcc -c $(CXXFLAGS_I386) -o $@ $<

reverb_i386.o: reverb.cpp reverb.h
	gcc -c $(CXXFLAGS_I386) -o $@ $<


clean:
	rm -f *~ .*~ *.o

distclean: clean
	rm $(TARGETS)
	rm build-stamp configure-stamp

debclean:
	fakeroot debian/rules clean


install: $(TARGETS) connie connie.1
	install -s -p $(TARGETS) $(BIN)
	install -p connie $(BIN)
	install -p connie.1 $(MAN)

uninstall:
	cd $(BIN) && rm -f $(TARGETS) connie
	rm -f $(MAN)/connie.1

tar: debclean
	sh MKtar.sh
