=== debian/changelog ===
connie (0.4.3-rc9) experimental; urgency=low
  * experimental qt4 interface (source code only)
  * source moved c -> c++
  * session bug fixed (thanks brummer)
  * prepared for jack-session
  * set drawbar values with option -d
  * save and restore status
  * JCRev type reverb uses less cpu
  * default hammond gear ratio intonation
  * opt. intonations inspired by aeolus
  * colored "gui"
  * some DSP optimizations, better denormal handling
  * smoother attack/decay envelopes
  * percussion triggered by first keypress only

 -- Martin Homuth-Rosemann <homuth-rosemann@cryptomys.de>  Thu, 14 Oct 2010 21:36:00 +0200

connie (0.4.2) experimental; urgency=low

  * Second organ model, i18n, source code modularization - see Changelog 

 -- Martin Homuth-Rosemann <homuth-rosemann@cryptomys.de>  Fri, 26 Jun 2009 19:51:40 +0200
